Skip to main content
GET
Posts
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

handle
string
required

Instagram handle

next_max_id
string

Cursor to get next page of results.

trim
boolean

Set to true to get a trimmed response

Response

Successful response

Key Response Fields:

  • data.num_results: Number of posts returned in this page
  • data.more_available: Whether more posts exist — use next_max_id to paginate
  • data.next_max_id: Cursor for the next page of posts
  • data.user.username: The queried profile's username
  • data.user.is_verified: Whether the account is verified
  • data.items[0].pk: Unique post ID
  • data.items[0].code: Post shortcode (used in the URL as instagram.com/p/{code})
  • data.items[0].play_count: View/play count for reels and videos
  • data.items[0].video_duration: Duration of the video in seconds
  • data.items[0].has_audio: Whether the post has audio
  • data.items[0].image_versions2.candidates[0].url: Thumbnail image URL
  • data.items[0].video_versions[0].url: Video download URL (only present for video posts)